namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class ModifyFields : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.TransactionRecord", "MachineId", "dbo.Machine");
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            DropIndex("dbo.TransactionRecord", new[] { "MachineId" });
            AddColumn("dbo.ConnectorStatus", "ChargePointErrorCodeId", c => c.Int(nullable: false));
            AddColumn("dbo.TransactionRecord", "StartIdTag", c => c.String(maxLength: 20));
            AddColumn("dbo.TransactionRecord", "StopIdTag", c => c.String(maxLength: 20));
            AddColumn("dbo.TransactionRecord", "ReservationId", c => c.Int(nullable: false));
            AddColumn("dbo.TransactionRecord", "StopReasonId", c => c.Int(nullable: false));
            AlterColumn("dbo.TransactionRecord", "chargePointSerialNumber", c => c.String(nullable: false, maxLength: 25));
            CreateIndex("dbo.TransactionRecord", new[] { "chargePointSerialNumber", "ConnectorId", "TransactionId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            CreateIndex("dbo.TransactionRecord", "chargePointSerialNumber", name: "IX_MachineId");
            DropColumn("dbo.ConnectorStatus", "ChargePointErrorCodeNo");
            DropColumn("dbo.TransactionRecord", "MachineId");
            DropColumn("dbo.TransactionRecord", "IdTag");
            DropColumn("dbo.TransactionRecord", "StopTransactionReasonId");
            DropColumn("dbo.TransactionRecord", "SOCStart");
            DropColumn("dbo.TransactionRecord", "SOCStop");
        }
        
        public override void Down()
        {
            AddColumn("dbo.TransactionRecord", "SOCStop", c => c.Decimal(nullable: false, precision: 18, scale: 2));
            AddColumn("dbo.TransactionRecord", "SOCStart", c => c.Decimal(nullable: false, precision: 18, scale: 2));
            AddColumn("dbo.TransactionRecord", "StopTransactionReasonId", c => c.Int(nullable: false));
            AddColumn("dbo.TransactionRecord", "IdTag", c => c.String(maxLength: 20));
            AddColumn("dbo.TransactionRecord", "MachineId", c => c.String(nullable: false, maxLength: 36));
            AddColumn("dbo.ConnectorStatus", "ChargePointErrorCodeNo", c => c.Int(nullable: false));
            DropIndex("dbo.TransactionRecord", "IX_MachineId");
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            AlterColumn("dbo.TransactionRecord", "chargePointSerialNumber", c => c.String(maxLength: 25));
            DropColumn("dbo.TransactionRecord", "StopReasonId");
            DropColumn("dbo.TransactionRecord", "ReservationId");
            DropColumn("dbo.TransactionRecord", "StopIdTag");
            DropColumn("dbo.TransactionRecord", "StartIdTag");
            DropColumn("dbo.ConnectorStatus", "ChargePointErrorCodeId");
            CreateIndex("dbo.TransactionRecord", "MachineId");
            CreateIndex("dbo.TransactionRecord", new[] { "MachineId", "ConnectorId", "TransactionId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            AddForeignKey("dbo.TransactionRecord", "MachineId", "dbo.Machine", "Id", cascadeDelete: true);
        }
    }
}
