namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class RemoveTransactionId_RenameFewField_AddMachineOperateRecord : DbMigration
    {
        public override void Up()
        {
            DropIndex("dbo.ApiLogEntry", new[] { "RequestTimestamp" });
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            DropIndex("dbo.TransactionRecord", new[] { "TransactionId" });
            DropPrimaryKey("dbo.TransactionRecord");
            AddColumn("dbo.MachineOperateRecord", "ReportedOn", c => c.DateTime(nullable: false));
            AddColumn("dbo.TransactionRecord", "RetryStopTransactionTimes", c => c.Int(nullable: false));
            AlterColumn("dbo.TransactionRecord", "Id", c => c.Int(nullable: false, identity: true));
            AddPrimaryKey("dbo.TransactionRecord", "Id");
            CreateIndex("dbo.TransactionRecord", new[] { "ChargeBoxId", "ConnectorId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            DropColumn("dbo.TransactionRecord", "TransactionId");
            DropColumn("dbo.TransactionRecord", "ReportedOn");
            DropColumn("dbo.TransactionRecord", "RtryStopTransactionTimes");
            DropTable("dbo.ApiLogEntry");
        }
        
        public override void Down()
        {
            CreateTable(
                "dbo.ApiLogEntry",
                c => new
                    {
                        ApiLogEntryId = c.Long(nullable: false, identity: true),
                        Application = c.String(),
                        User = c.String(),
                        Machine = c.String(),
                        RequestIpAddress = c.String(),
                        RequestContentType = c.String(),
                        RequestContentBody = c.String(),
                        RequestUri = c.String(),
                        RequestMethod = c.String(),
                        RequestRouteTemplate = c.String(),
                        RequestRouteData = c.String(),
                        RequestHeaders = c.String(),
                        RequestTimestamp = c.DateTime(),
                        ResponseContentType = c.String(),
                        ResponseContentBody = c.String(),
                        ResponseStatusCode = c.Int(),
                        ResponseHeaders = c.String(),
                        ResponseTimestamp = c.DateTime(),
                        IsOutData = c.Boolean(nullable: false),
                        ErrorMsg = c.String(),
                        ErrorOn = c.DateTime(),
                    })
                .PrimaryKey(t => t.ApiLogEntryId);
            
            AddColumn("dbo.TransactionRecord", "RtryStopTransactionTimes", c => c.Int(nullable: false));
            AddColumn("dbo.TransactionRecord", "ReportedOn", c => c.DateTime(nullable: false));
            AddColumn("dbo.TransactionRecord", "TransactionId", c => c.Int(nullable: false));
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            DropPrimaryKey("dbo.TransactionRecord");
            AlterColumn("dbo.TransactionRecord", "Id", c => c.Long(nullable: false, identity: true));
            DropColumn("dbo.TransactionRecord", "RetryStopTransactionTimes");
            DropColumn("dbo.MachineOperateRecord", "ReportedOn");
            AddPrimaryKey("dbo.TransactionRecord", "Id");
            CreateIndex("dbo.TransactionRecord", "TransactionId");
            CreateIndex("dbo.TransactionRecord", new[] { "ChargeBoxId", "ConnectorId", "TransactionId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            CreateIndex("dbo.ApiLogEntry", "RequestTimestamp");
        }
    }
}
