namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Modify_UpdateFirmwareLogic : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.CustomerMachineComponent", "CustomerId", "dbo.Customer");
            DropForeignKey("dbo.MachineComponent", "MachineModelId", "dbo.MachineModel");
            DropForeignKey("dbo.MachineComponent", "MachinePartId", "dbo.MachinePart");
            DropForeignKey("dbo.CustomerMachineComponent", "MachineComponentId", "dbo.MachineComponent");
            DropForeignKey("dbo.MachineVersion", "MachineId", "dbo.Machine");
            DropForeignKey("dbo.MachineVersionFile", "MachineVersionId", "dbo.MachineVersion");
            DropForeignKey("dbo.PublishVersion", "CustomerMachineComponentId", "dbo.CustomerMachineComponent");
            DropForeignKey("dbo.PublishVersionFile", "PublishVersionId", "dbo.PublishVersion");
            DropForeignKey("dbo.PublishVersionFile", "UploadFileId", "dbo.UploadFile");
            DropForeignKey("dbo.MachineVersion", "PublishVersionId", "dbo.PublishVersion");
            DropForeignKey("dbo.Machine", "FW_AssignedMachineVersionId", "dbo.MachineVersion");
            DropForeignKey("dbo.Machine", "MachineModelId", "dbo.MachineModel");
            DropForeignKey("dbo.Machine", "MachinePartId", "dbo.MachinePart");
            DropIndex("dbo.CustomerMachineComponent", new[] { "CustomerId" });
            DropIndex("dbo.CustomerMachineComponent", new[] { "MachineComponentId" });
            DropIndex("dbo.MachineComponent", new[] { "MachineModelId" });
            DropIndex("dbo.MachineComponent", new[] { "MachinePartId" });
            DropIndex("dbo.Machine", new[] { "FW_AssignedMachineVersionId" });
            DropIndex("dbo.Machine", new[] { "MachineModelId" });
            DropIndex("dbo.Machine", new[] { "MachinePartId" });
            DropIndex("dbo.MachineVersion", new[] { "PublishVersionId" });
            DropIndex("dbo.MachineVersion", new[] { "MachineId" });
            DropIndex("dbo.MachineVersionFile", new[] { "MachineVersionId" });
            DropIndex("dbo.PublishVersion", new[] { "CustomerMachineComponentId" });
            DropIndex("dbo.PublishVersionFile", new[] { "PublishVersionId" });
            DropIndex("dbo.PublishVersionFile", new[] { "UploadFileId" });
            AddColumn("dbo.Machine", "VendorId", c => c.String(maxLength: 50));
            AddColumn("dbo.Machine", "ModelName", c => c.String(maxLength: 50));
            AddColumn("dbo.MachineVersionFile", "MachineId", c => c.Guid(nullable: false));
            AddColumn("dbo.UploadFile", "VendorId", c => c.String(maxLength: 50));
            AddColumn("dbo.UploadFile", "ModelName", c => c.String(maxLength: 50));
            AddColumn("dbo.UploadFile", "ModuleId", c => c.Int(nullable: false));
            DropColumn("dbo.Machine", "FW_AssignedMachineVersionId");
            DropColumn("dbo.Machine", "MachineModelId");
            DropColumn("dbo.Machine", "MachinePartId");
            DropColumn("dbo.MachineVersionFile", "MachineVersionId");
            DropTable("dbo.CustomerMachineComponent");
            DropTable("dbo.MachineComponent");
            DropTable("dbo.MachineModel");
            DropTable("dbo.MachinePart");
            DropTable("dbo.MachineVersion");
            DropTable("dbo.PublishVersion");
            DropTable("dbo.PublishVersionFile");
        }
        
        public override void Down()
        {
            CreateTable(
                "dbo.PublishVersionFile",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        PublishVersionId = c.Int(nullable: false),
                        UploadFileId = c.Guid(nullable: false),
                        Seq = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.PublishVersion",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        CreatedOn = c.DateTime(nullable: false),
                        Version = c.Int(nullable: false),
                        CustomerMachineComponentId = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.MachineVersion",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        CreatedOn = c.DateTime(nullable: false),
                        PublishVersionId = c.Int(nullable: false),
                        MachineId = c.String(nullable: false, maxLength: 36),
                        UpdatedOn = c.DateTime(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.MachinePart",
                c => new
                    {
                        Id = c.Int(nullable: false),
                        Desc = c.String(maxLength: 36),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.MachineModel",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(maxLength: 36),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.MachineComponent",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        MachineModelId = c.Int(nullable: false),
                        GunAmt = c.Int(),
                        MachinePartId = c.Int(nullable: false),
                        ModelName = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.CustomerMachineComponent",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        CustomerId = c.Guid(nullable: false),
                        MachineComponentId = c.Int(nullable: false),
                        CreatedOn = c.DateTime(nullable: false),
                        CreatedBy = c.String(maxLength: 50),
                    })
                .PrimaryKey(t => t.Id);
            
            AddColumn("dbo.MachineVersionFile", "MachineVersionId", c => c.Int(nullable: false));
            AddColumn("dbo.Machine", "MachinePartId", c => c.Int(nullable: false));
            AddColumn("dbo.Machine", "MachineModelId", c => c.Int(nullable: false));
            AddColumn("dbo.Machine", "FW_AssignedMachineVersionId", c => c.Int());
            DropColumn("dbo.UploadFile", "ModuleId");
            DropColumn("dbo.UploadFile", "ModelName");
            DropColumn("dbo.UploadFile", "VendorId");
            DropColumn("dbo.MachineVersionFile", "MachineId");
            DropColumn("dbo.Machine", "ModelName");
            DropColumn("dbo.Machine", "VendorId");
            CreateIndex("dbo.PublishVersionFile", "UploadFileId");
            CreateIndex("dbo.PublishVersionFile", "PublishVersionId");
            CreateIndex("dbo.PublishVersion", "CustomerMachineComponentId");
            CreateIndex("dbo.MachineVersionFile", "MachineVersionId");
            CreateIndex("dbo.MachineVersion", "MachineId");
            CreateIndex("dbo.MachineVersion", "PublishVersionId");
            CreateIndex("dbo.Machine", "MachinePartId");
            CreateIndex("dbo.Machine", "MachineModelId");
            CreateIndex("dbo.Machine", "FW_AssignedMachineVersionId");
            CreateIndex("dbo.MachineComponent", "MachinePartId");
            CreateIndex("dbo.MachineComponent", "MachineModelId");
            CreateIndex("dbo.CustomerMachineComponent", "MachineComponentId");
            CreateIndex("dbo.CustomerMachineComponent", "CustomerId");
            AddForeignKey("dbo.Machine", "MachinePartId", "dbo.MachinePart", "Id", cascadeDelete: true);
            AddForeignKey("dbo.Machine", "MachineModelId", "dbo.MachineModel", "Id", cascadeDelete: true);
            AddForeignKey("dbo.Machine", "FW_AssignedMachineVersionId", "dbo.MachineVersion", "Id");
            AddForeignKey("dbo.MachineVersion", "PublishVersionId", "dbo.PublishVersion", "Id", cascadeDelete: true);
            AddForeignKey("dbo.PublishVersionFile", "UploadFileId", "dbo.UploadFile", "Id", cascadeDelete: true);
            AddForeignKey("dbo.PublishVersionFile", "PublishVersionId", "dbo.PublishVersion", "Id", cascadeDelete: true);
            AddForeignKey("dbo.PublishVersion", "CustomerMachineComponentId", "dbo.CustomerMachineComponent", "Id");
            AddForeignKey("dbo.MachineVersionFile", "MachineVersionId", "dbo.MachineVersion", "Id", cascadeDelete: true);
            AddForeignKey("dbo.MachineVersion", "MachineId", "dbo.Machine", "Id", cascadeDelete: true);
            AddForeignKey("dbo.CustomerMachineComponent", "MachineComponentId", "dbo.MachineComponent", "Id", cascadeDelete: true);
            AddForeignKey("dbo.MachineComponent", "MachinePartId", "dbo.MachinePart", "Id", cascadeDelete: true);
            AddForeignKey("dbo.MachineComponent", "MachineModelId", "dbo.MachineModel", "Id", cascadeDelete: true);
            AddForeignKey("dbo.CustomerMachineComponent", "CustomerId", "dbo.Customer", "Id", cascadeDelete: true);
        }
    }
}
