namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class ModifiedChargeBoxIdLenAndOTAFields : DbMigration
    {
        public override void Up()
        {
            DropIndex("dbo.Machine", new[] { "ChargeBoxId" });
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            DropIndex("dbo.TransactionRecord", "IX_MachineId");
            AddColumn("dbo.MachineVersionFile", "ChargeBoxId", c => c.String(maxLength: 50));
            AlterColumn("dbo.ConnectorStatus", "ChargeBoxId", c => c.String(maxLength: 50));
            AlterColumn("dbo.Machine", "ChargeBoxId", c => c.String(maxLength: 50));
            AlterColumn("dbo.MachineConfigurations", "ChargeBoxId", c => c.String(maxLength: 50));
            AlterColumn("dbo.MachineError", "ChargeBoxId", c => c.String(maxLength: 50));
            AlterColumn("dbo.MachineOperateRecord", "ChargeBoxId", c => c.String(maxLength: 50));
            AlterColumn("dbo.ServerMessage", "ChargeBoxId", c => c.String(maxLength: 50));
            AlterColumn("dbo.TransactionRecord", "ChargeBoxId", c => c.String(nullable: false, maxLength: 50));
            CreateIndex("dbo.Machine", "ChargeBoxId", unique: true);
            CreateIndex("dbo.TransactionRecord", new[] { "ChargeBoxId", "ConnectorId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            CreateIndex("dbo.TransactionRecord", "ChargeBoxId", name: "IX_MachineId");
            DropColumn("dbo.MachineVersionFile", "UpdatedOn");
            DropColumn("dbo.MachineVersionFile", "MachineId");
            DropColumn("dbo.MachineVersionFile", "DownloadedOn");
            DropColumn("dbo.UploadFile", "IsOnline");
            DropColumn("dbo.UploadFile", "CustomerId");
        }
        
        public override void Down()
        {
            AddColumn("dbo.UploadFile", "CustomerId", c => c.Guid(nullable: false));
            AddColumn("dbo.UploadFile", "IsOnline", c => c.Boolean(nullable: false));
            AddColumn("dbo.MachineVersionFile", "DownloadedOn", c => c.DateTime());
            AddColumn("dbo.MachineVersionFile", "MachineId", c => c.Guid(nullable: false));
            AddColumn("dbo.MachineVersionFile", "UpdatedOn", c => c.DateTime());
            DropIndex("dbo.TransactionRecord", "IX_MachineId");
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            DropIndex("dbo.Machine", new[] { "ChargeBoxId" });
            AlterColumn("dbo.TransactionRecord", "ChargeBoxId", c => c.String(nullable: false, maxLength: 128));
            AlterColumn("dbo.ServerMessage", "ChargeBoxId", c => c.String(maxLength: 128));
            AlterColumn("dbo.MachineOperateRecord", "ChargeBoxId", c => c.String(maxLength: 128));
            AlterColumn("dbo.MachineError", "ChargeBoxId", c => c.String(maxLength: 128));
            AlterColumn("dbo.MachineConfigurations", "ChargeBoxId", c => c.String(maxLength: 128));
            AlterColumn("dbo.Machine", "ChargeBoxId", c => c.String(maxLength: 128));
            AlterColumn("dbo.ConnectorStatus", "ChargeBoxId", c => c.String(maxLength: 128));
            DropColumn("dbo.MachineVersionFile", "ChargeBoxId");
            CreateIndex("dbo.TransactionRecord", "ChargeBoxId", name: "IX_MachineId");
            CreateIndex("dbo.TransactionRecord", new[] { "ChargeBoxId", "ConnectorId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            CreateIndex("dbo.Machine", "ChargeBoxId", unique: true);
        }
    }
}
