﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    [Table("ConnectorStatus")]
    public class ConnectorStatus
    {

        public ConnectorStatus()
        {
            ErrorInfo = string.Empty;
            VendorId = string.Empty;
            VendorErrorCode = string.Empty;

        }
        [Key]
        [StringLength(36)]
        public string Id { get; set; }

        [StringLength(50)]
        public string ChargeBoxId { get; set; }

        public byte ConnectorId { set; get; }

        public int Status { set; get; }

        /// <summary>
        /// errorCode
        /// </summary>
        public int ChargePointErrorCodeId { set; get; }

        /// <summary>
        ///ErrorInfo
        /// </summary>
        [StringLength(50)]
        public string ErrorInfo { set; get; }

        /// <summary>
        /// vendorId
        /// </summary>
        [StringLength(255)]
        public string VendorId { set; get; }

        /// <summary>
        /// vendorErrorCode
        /// </summary>
        [StringLength(100)]
        public string VendorErrorCode { set; get; }

        public DateTime CreatedOn { set; get; }

        [DataType("decimal(10,2)")]
        public decimal TotalEnergy { set; get; }

        public int Type { set; get; }

    }
}
