﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    [Table("MachineError")]
    public partial class MachineError
    {
        public MachineError()
        {
        }

        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]       
        public int Id { get; set; }



        [StringLength(50)]
        public string ChargeBoxId { get; set; }

        /// <summary>
        /// 槍號
        /// </summary>
        public byte ConnectorId { get; set; }

        /// <summary>
        /// 先前的狀態
        /// </summary>
        public int PreStatus { get; set; }

        /// <summary>
        /// 錯誤的狀態
        /// </summary>
        public int Status { get; set; }

        /// <summary>
        /// 錯誤代碼Id
        /// </summary>
        public int ErrorCodeId { get; set; }

        /// <summary>
        ///ErrorInfo
        /// </summary>
        [StringLength(50)]
        public string ErrorInfo { set; get; }

        /// <summary>
        /// vendorId
        /// </summary>
        [StringLength(255)]
        public string VendorId { set; get; }

        /// <summary>
        /// vendorErrorCode
        /// </summary>
        [StringLength(100)]
        public string VendorErrorCode { set; get; }



        [Required]
        public DateTime CreatedOn { get; set; }
    }
}
