﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    /// <summary>
    /// 電樁操作紀錄
    /// </summary>
    [Table("MachineOperateRecord")]
    public class MachineOperateRecord
    {

        public MachineOperateRecord()
        {
            EVSE_Value = string.Empty;
            FinishedOn = new DateTime(1991, 1, 1);
            ReportedOn = new DateTime(1991, 1, 1);

        }

        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public int Id { get; set; }

        /// <summary>
        ///Action
        /// </summary>
        [StringLength(30)]
        public string Action { get; set; }


        /// <summary>
        /// 機器的客戶自訂ID
        /// </summary>
        [StringLength(50)]
        public string ChargeBoxId { get; set; }



        /// <summary>
        /// 隨機序號 和ServerCommand是同一個組序號
        /// </summary>
        [StringLength(36)]
        public string SerialNo { get; set; }

        /// <summary>
        /// 請求類型
        /// </summary>     
        public int RequestType { get; set; }


        /// <summary>
        /// 請求內容
        /// </summary> 
        public string RequestContent { get; set; }


        /// <summary>
        /// 狀態
        /// </summary>     
        public int Status { get; set; }

        /// <summary>
        /// EVSE回覆值
        /// </summary>      
        public string EVSE_Value { get; set; }
        
        /// <summary>
        /// EVSE狀態
        /// </summary>     
        public int EVSE_Status { get; set; }

        /// <summary>
        /// 建立時間
        /// </summary>
        public DateTime CreatedOn { set; get; }


        /// <summary>
        /// 結束時間
        /// </summary>
        public DateTime FinishedOn { set; get; }


        /// <summary>
        /// 回報時間
        /// </summary>
        public DateTime ReportedOn { set; get; }


     


    }
}
