﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    /// <summary>
    /// 上傳檔案
    /// </summary>
    [Table("UploadFile")]
    public partial class UploadFile
    {
        public UploadFile()
        {
            Id = Guid.NewGuid().ToString();
        }

        //[Index(IsClustered = false)]
        [StringLength(36)]
        public string Id { get; set; }

        /// <summary>
        /// 檔名
        /// </summary>
        [Required]
        [StringLength(500)]    
        public string FileName { get; set; }

        /// <summary>
        /// 原始檔名
        /// </summary>
        [Required]
        [StringLength(500)]       
        public string OriginName { get; set; }

       
        public int FileSize { get; set; }

        /// <summary>
        /// 檔案類型
        /// </summary>
        [StringLength(200)]     
        public string FileType { get; set; }

        /// <summary>
        /// 副檔名
        /// </summary>
        [StringLength(50)]    
        public string FileExtensionName { get; set; }

        /// <summary>
        /// 檔案路徑
        /// </summary>
        [Required]
        [StringLength(500)]       
        public string FilePath { get; set; }

        
        public DateTime CreatedOn { get; set; }

        [StringLength(50)]      
        public string CreatedBy { get; set; }      
      

        /// <summary>
        /// MD5
        /// </summary>
        [StringLength(50)]
        public string FileMD5 { get; set; }

        /// <summary>
        /// 網頁路徑
        /// </summary>
        [StringLength(512)]
        public string FileUrl { get; set; }

        /// <summary>
        /// VendorId
        /// </summary>
        [StringLength(50)]
        [Required]
        public string VendorId { get; set; }


        /// <summary>
        /// ModelName
        /// </summary>
        [StringLength(50)]
        [Required]
        public string ModelName { get; set; }

        /// <summary>
        /// ModuleId
        /// </summary>  
        [Required]
        public int ModuleId { get; set; }


    }
}