﻿using EVCB_OCPP.Packet20.Utilites;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class CompositeScheduleType
    {
        /// <summary>
        /// Date and time at which the schedule becomes
        /// active.All time measurements within the schedule are
        //// relative to this timestamp.
        /// </summary>
        [JsonConverter(typeof(UTCDateTimeConverter))]
        [Required]
        public DateTime StartDateTime { set; get; }

        /// <summary>
        /// Charging schedule structure defines a list of
        ///charging periods.
        /// </summary>
        [Required]
        public ChargingScheduleType ChargingSchedule { set; get; }
    }
}
