﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class CostType
    {
        /// <summary>
        /// The kind of cost referred to in the message
        ///   element amount
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public CostKindEnumType CostKind { set; get; }

        /// <summary>
        /// The estimated or actual cost per kWh
        /// </summary>
        [Required]
        public int Amount { set; get; }

        /// <summary>
        /// Values: -3..3, The amountMultiplier defines the
        ///exponent to base 10 (dec). The final value is determined
        ///by: amount* 10 ^ amountMultiplier
        /// </summary>
        public int? AmountMultiplier { set; get; }

    }
}
