﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum MessagePriorityEnumType
    {
        /// <summary>
        ///  Show this message always in front. Highest priority, don’t cycle with other messages. When a newer
        /// message with this MessagePriority is received, this message is replaced. No Charging Station own message
        ///may override this message.
        /// </summary>
        AlwaysFront = 1,
        /// <summary>
        ///  Show this message in front of the normal cycle of messages. When more messages with this priority are to
        /// be shown, they SHALL be cycled.
        /// </summary>
        InFront,
        /// <summary>
        ///  Show this message in the cycle of messages.
        /// </summary>
        NormalCycle
    }
}
