﻿using Newtonsoft.Json;

namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum PhaseEnumType
    {
        /// <summary>
        ///  Measured on L1
        /// </summary>
        L1,
        /// <summary>
        ///  Measured on L2
        /// </summary>
        L2,
        /// <summary>
        ///  Measured on L3
        /// </summary>
        L3,
        /// <summary>
        ///  Measured on Neutral
        /// </summary>
        N,
        /// <summary>
        ///  Measured on L1 with respect to Neutral conductor
        /// </summary>
        [JsonProperty("L1-N")]
        L1_N,
        /// <summary>
        ///  Measured on L2 with respect to Neutral conductor
        /// </summary>
        [JsonProperty("L2-N")]
        L2_N,
        /// <summary>
        ///  Measured on L3 with respect to Neutral conductor
        /// </summary>
        [JsonProperty("L3-N")]
        L3_N,
        /// <summary>
        /// Measured between L1 and L2
        /// </summary>
        [JsonProperty("L1-L2")]
        L1_L2,
        /// <summary>
        ///  Measured between L2 and L3
        /// </summary>
        [JsonProperty("L2-L3")]
        L2_L3,
        /// <summary>
        ///  Measured between L3 and L1
        /// </summary>
        [JsonProperty("L3-L1")]
        L3_L1
    }
}
