﻿using Newtonsoft.Json;

namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum ReadingContextEnumType
    {
        /// <summary>
        ///  Value taken at start of interruption.
        /// </summary>
        [JsonProperty("Interruption.Begin")]
        Interruption_Begin = 1,
        /// <summary>
        ///  Value taken when resuming after interruption.
        /// </summary>
        [JsonProperty("Interruption.End")]
        Interruption_End,
        /// <summary>
        ///  Value for any other situations.
        /// </summary>
        Other,
        /// <summary>
        ///  Value taken at clock aligned interval.
        /// </summary>
        [JsonProperty("Sample.Clock")]
        Sample_Clock,
        /// <summary>
        ///  Value taken as periodic sample relative to start time of transaction.
        /// </summary>
        [JsonProperty("Sample.Periodic")]
        Sample_Periodic,
        /// <summary>
        ///  Value taken at start of transaction.
        /// </summary>
        [JsonProperty("Transaction.Begin")]
        Transaction_Begin,
        /// <summary>
        ///  Value taken at end of transaction.
        /// </summary>
        [JsonProperty("Transaction.End")]
        Transaction_End,
        /// <summary>
        /// Value taken in response to TriggerMessageRequest.
        /// </summary>
        Trigger
    }
}
