﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class GetCompositeScheduleRequest
    {
        /// <summary>
        /// Length of the requested schedule in seconds
        /// </summary>
        [Required]
        public int Duration { set; get; }

        /// <summary>
        /// Can be used to force a power or current profile
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public ChargingRateUnitEnumType ChargingRateUnit { set; get; }

        /// <summary>
        /// The ID of the EVSE for which the schedule is
        /// requested.When evseid = 0, the Charging Station will
        ///  calculate the expected consumption for the grid
        ///connection.
        /// </summary>
        [Required]
        public int EvseId { set; get; }
    }
}
