﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class InstallCertificateRequest
    {
        /// <summary>
        /// Indicates the certificate type that is sent.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public InstallCertificateUseEnumType CertificateType { set; get; }

        /// <summary>
        /// A X.509 certificate, first DER encoded into
        /// binary, and then Base64 encoded
        /// </summary>
        [Required]
        [StringLength(5500, MinimumLength = 0)]
        public string Certificate { set; get; }

    }
}
